//
//  TableViewTestViewController.m
//  TableViewTest
//
//  Created by Brian Bledsoe on 12/10/12.
//  Copyright (c) 2012 Brian Bledsoe. All rights reserved.
//

#import "TableViewTestViewController.h"

@interface TableViewTestViewController ()

@end

@implementation TableViewTestViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section {
    UILabel * headerLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 0, 320, 44)];
    [headerLabel setBackgroundColor:[UIColor grayColor]];
    [headerLabel setText:[NSString stringWithFormat:@"%@ %i", @"Section ", section + 1]];
    return headerLabel;
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return 10;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"My Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(cell == nil){
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"My Cell"];
    }
    // Configure the cell...
    [[cell textLabel] setText:@"Example Row"];
    
    return cell;
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
   //do nothing
    [tableView deselectRowAtIndexPath:indexPath animated:NO];
}

@end
